﻿
@using PhotoContest.Domain.ViewModels.ContestViewModels;
@using PhotoContest.Api.ViewModels.PaginationViewModels;


@model PaginatedListGetModel<PaginatedContestGetViewModel>;

@{
    Layout = "_Layout";
    bool currentuser = (bool)TempData["currentUserRole"];
}



@if (currentuser) { 
 <h2>Contests <a style="float: right" class="btn btn-primary" asp-controller="Contests"  asp-action="Create">Create New</a> </h2> 
}

<table class="table">
    <thead>
        <tr>
            <th scope="col">Id</th>
            <th scope="col">Title</th>
            <th scope="col">Category</th>
            <th scope="col">Type</th>
            <th scope="col">Current Phase</th>
            <th scope="col">Phase I term</th>
            <th scope="col">Phase II term</th>
            <th scope="col">Actions</th>
        </tr>
    </thead>

    <tbody>
        @foreach (var item in Model.Elements)
        {
            <tr>

                <th scope="row">@item.Id</th>
                <td>@item.Title</td>
                <td>@item.Category</td>
                <td>@item.Type</td>
                <td>@item.Phase</td>
                <td>@item.PhaseITerm</td>
                <td>@item.PhaseIITerm</td>
                <td>
                    <a asp-controller="Contests" asp-action="Open" asp-route-contestId="@item.Id">Open</a>
                    <br />
                    @if(currentuser){
                    <a asp-controller="Contests" asp-action="Edit" asp-route-id="@item.Id">Edit</a>
                    <br />
                    <a asp-controller="Contests" asp-action="Remove" asp-route-id="@item.Id">Remove</a>}
                </td>
            </tr>            
        }
    </tbody>
</table>